API reference

Groups and communities API

Create groups, add and remove participants, promote admins, manage invite links and settings, and run communities with announcement and sub-groups.

GET /communities

Get communities. Authenticate with your channel token.

curl -X GET https://agakural.online/communities \
  -H "Authorization: Bearer $TOKEN"

POST /communities

Create communities. Authenticate with your channel token.

FieldInTypeRequiredNotes
subjectbodystringYesUp to 100 characters
descriptionbodystringNoUp to 2048 characters
curl -X POST https://agakural.online/communities \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"subject": "subject"}'

DELETE /communities/{id}

Delete a communities. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/communities/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /communities/{id}

Get one communitie. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/communities/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /communities/{id}/announcement

Create communities announcement. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
bodybodystringYesUp to 4096 characters
curl -X POST https://agakural.online/communities/{id}/announcement \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "body"}'

DELETE /communities/{id}/groups/{group}

Delete a communities groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
grouppathstringYes
curl -X DELETE https://agakural.online/communities/{id}/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

PUT /communities/{id}/groups/{group}

Update a communities groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
grouppathstringYes
curl -X PUT https://agakural.online/communities/{id}/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

GET /groups

Get groups. Authenticate with your channel token.

curl -X GET https://agakural.online/groups \
  -H "Authorization: Bearer $TOKEN"

POST /groups

Create groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
subjectbodystringYesUp to 100 characters
participantsbodyarray of stringYes
curl -X POST https://agakural.online/groups \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"subject": "subject", "participants": []}'

PUT /groups

Update groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
invite_codebodystringYesUp to 200 characters
curl -X PUT https://agakural.online/groups \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"invite_code": "invite_code"}'

DELETE /groups/{group}

Delete a groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X DELETE https://agakural.online/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

GET /groups/{group}

Get one group. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X GET https://agakural.online/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

PUT /groups/{group}

Update a groups. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
subjectbodystringNoUp to 100 characters
descriptionbodystringNoUp to 2048 characters
curl -X PUT https://agakural.online/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

DELETE /groups/{group}/admins

Delete groups admins. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X DELETE https://agakural.online/groups/{group}/admins \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

PATCH /groups/{group}/admins

Update groups admins. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X PATCH https://agakural.online/groups/{group}/admins \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

DELETE /groups/{group}/applications

Delete groups applications. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X DELETE https://agakural.online/groups/{group}/applications \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

GET /groups/{group}/applications

Get groups applications. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X GET https://agakural.online/groups/{group}/applications \
  -H "Authorization: Bearer $TOKEN"

POST /groups/{group}/applications

Create groups applications. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X POST https://agakural.online/groups/{group}/applications \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

DELETE /groups/{group}/icon

Delete groups icon. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X DELETE https://agakural.online/groups/{group}/icon \
  -H "Authorization: Bearer $TOKEN"

PUT /groups/{group}/icon

Update groups icon. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
mediabodystringYes
curl -X PUT https://agakural.online/groups/{group}/icon \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"media": "media"}'

DELETE /groups/{group}/invite

Delete groups invite. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X DELETE https://agakural.online/groups/{group}/invite \
  -H "Authorization: Bearer $TOKEN"

GET /groups/{group}/invite

Get groups invite. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
curl -X GET https://agakural.online/groups/{group}/invite \
  -H "Authorization: Bearer $TOKEN"

DELETE /groups/{group}/participants

Delete groups participants. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X DELETE https://agakural.online/groups/{group}/participants \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

POST /groups/{group}/participants

Create groups participants. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
participantsbodyarray of stringYes
curl -X POST https://agakural.online/groups/{group}/participants \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"participants": []}'

PATCH /groups/{group}/settings

Update groups settings. Authenticate with your channel token.

FieldInTypeRequiredNotes
grouppathstringYes
announcementbodybooleanNo
lockedbodybooleanNo
approvalbodybooleanNo
curl -X PATCH https://agakural.online/groups/{group}/settings \
  -H "Authorization: Bearer $TOKEN"